commit: 2e2c1f402085a6a19c259a51642bbdf4fe5cd72b
Author: Zac Medico <zmedico <AT> gentoo <DOT> org>
AuthorDate: Thu Mar 31 07:50:48 2016 +0000
Commit: Zac Medico <zmedico <AT> gentoo <DOT> org>
CommitDate: Thu Mar 31 07:54:58 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2e2c1f40
dev-go/go-crypto: fix tests for bug 577908
Package-Manager: portage-2.2.28
dev-go/go-crypto/go-crypto-0_pre20160126.ebuild | 24 +++++++++---------------
1 file changed, 9 insertions(+), 15 deletions(-)
diff --git a/dev-go/go-crypto/go-crypto-0_pre20160126.ebuild
b/dev-go/go-crypto/go-crypto-0_pre20160126.ebuild
index 79bc5a2..799b98b 100644
--- a/dev-go/go-crypto/go-crypto-0_pre20160126.ebuild
+++ b/dev-go/go-crypto/go-crypto-0_pre20160126.ebuild
@@ -24,25 +24,19 @@ IUSE=""
DEPEND=""
RDEPEND=""
-src_prepare() {
- # disable broken tests
- sed -e 's:TestAgentForward(:_\0:' \
- -i src/${EGO_SRC}/ssh/test/agent_unix_test.go || die
- sed -e 's:TestRunCommandSuccess(:_\0:' \
- -e 's:TestRunCommandStdin(:_\0:' \
- -e 's:TestRunCommandStdinError(:_\0:' \
- -e 's:TestRunCommandWeClosed(:_\0:' \
- -e 's:TestFuncLargeRead(:_\0:' \
- -e 's:TestKeyChange(:_\0:' \
- -e 's:TestValidTerminalMode(:_\0:' \
- -i src/${EGO_SRC}/ssh/test/session_test.go || die
-}
-
src_compile() {
# Create a writable GOROOT in order to avoid sandbox violations.
cp -sR "$(go env GOROOT)" "${T}/goroot" || die
rm -rf "${T}/goroot/src/${EGO_SRC}" || die
rm -rf "${T}/goroot/pkg/$(go env GOOS)_$(go env GOARCH)/${EGO_SRC}" ||
die
export GOROOT="${T}/goroot"
- golang-build_src_compile
+ # Exclude $(get_golibdir_gopath) from GOPATH, for bug 577908 which may
+ # or may not manifest, depending on what libraries are installed.
+ export GOPATH="${WORKDIR}/${P}"
+ go install -v -work -x ${EGO_BUILD_FLAGS} "${EGO_PN}" || die
+}
+
+src_test() {
+ # Exclude $(get_golibdir_gopath) from GOPATH
+ go test -v -work -x "${EGO_PN}"
}